Bug 616998 - (CVE-2010-2537, CVE-2010-2538) CVE-2010-2537 CVE-2010-2538 kernel: btrfs: fix checks in BTRFS_IOC_CLONE_RANGE
CVE-2010-2537 CVE-2010-2538 kernel: btrfs: fix checks in BTRFS_IOC_CLONE_RANGE
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
: 616992 (view as bug list)
Depends On: 617003
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 17:25 EDT by Petr Matousek
Modified: 2015-08-31 23:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-07-21 17:25:19 EDT
Description of problem:
1. CVE-2010-2537 - The BTRFS_IOC_CLONE and BTRFS_IOC_CLONE_RANGE ioctls should check whether the donor file is append-only before writing to it.

2. CVE-2010-2538 - The BTRFS_IOC_CLONE_RANGE ioctl appears to have an integer
overflow that allows a user to specify an out-of-bounds range to copy from the source file (if off + len wraps around).

Upstream commit:
http://git.kernel.org/linus/2ebc3464781ad24474abcbd2274e6254689853b5

Reference:
https://btrfs.wiki.kernel.org/index.php/Main_Page

The kernel in Red Hat Enterprise Linux 6 has support for Btrfs by default.
Comment 1 Petr Matousek 2010-07-21 17:25:46 EDT
Statement:

Not vulnerable. This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 3, 4, 5 and Red Hat Enterprise MRG as they did not include support for Btrfs, a new copy on write filesystem.
Comment 3 Eugene Teo (Security Response) 2010-08-01 23:50:04 EDT
Acknowledgements:

Red Hat would like to thank Dan Rosenberg for responsibly reporting this issue.
Comment 4 Eugene Teo (Security Response) 2010-08-01 23:57:52 EDT
*** Bug 616992 has been marked as a duplicate of this bug. ***
Comment 6 Chuck Ebbert 2010-08-02 17:14:24 EDT
Fixed upstream in 2.6.35, 2.6.34.2, 2.6.33.7 and 2.6.32.17

Note You need to log in before you can comment on or make changes to this bug.